﻿@page
@model GenerateRecoveryCodesModel
@{
    ViewData["Title"] = "ایجاد کدهای بازیابی برای احراز هویت در مرحله دوم";
    ViewData["ActivePage"] = ManageNavPages.TwoFactorAuthentication;
}

<partial name="_StatusMessage" for="StatusMessage" />

<h5>@ViewData["Title"]</h5>
<div class="alert alert-warning" role="alert">
    <p>
        <span class="glyphicon glyphicon-warning-sign"></span>
        <strong>کاربر گرامی کدهای بازیابی تولید شده را در محیطی امن و خارج از موبایل نگهداری کنید .</strong>
    </p>
    <p>
        <strong>خیلی مهم !!!</strong>
        اگر موبایلی که اپلیکیشن را بر روی آت نصب کرده‌اید، در دسترس نباشد و کدهای بازیابی هم موجود نباشد دسترسی به حساب کاربری شما برای همیشه از بین خواهد رفت و تیم فنی لامینگو نیز قادر به برگرداندن حساب شما نخواهد بود .     
    </p>
    <p>
        کدهای بازیابی جدید تولید شده هیچ تفاوتی با کدهای قبلی نخواهند داشت در صورت تمایل به تغییر کد های جدید از گزینه ریست کردن کدهای احراز هویت استفاده نمائید .
        <a asp-page="./ResetAuthenticator">ریست کردن کدهای احراز هویت</a>
    </p>
</div>
<div>
    <form method="post" class="form-group">
        <button class="btn btn-danger" type="submit">ایجاد کدهای بازیابی</button>
    </form>
</div>